"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Close = undefined;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _buoyTheme = require("buoy-theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var PillContainer = _styledComponents2["default"].div.withConfig({
  displayName: "src__PillContainer",
  componentId: "sc-5xkpyk-0"
})(["font-family:", ";font-weight:", ";", ";display:flex;align-items:center;color:", ";background-color:", ";border-radius:4px;height:28px;padding:5px 16px;margin-right:10px;margin-top:5px;margin-bottom:5px;white-space:nowrap;user-select:none;"], _buoyTheme.fontFamily, _buoyTheme.fontWeight.regular, (0, _buoyTheme.fontSize)("bodyMain"), _buoyTheme.colors.neutralDarkest, _buoyTheme.colors.neutralLightest);

var Close = exports.Close = _styledComponents2["default"].div.withConfig({
  displayName: "src__Close",
  componentId: "sc-5xkpyk-1"
})(["display:flex;font-size:20px;align-items:center;justify-content:center;font-weight:", ";margin-left:8px;margin-bottom:2px;cursor:pointer;"], _buoyTheme.fontWeight.light);

var Pill = function Pill(_ref) {
  var text = _ref.text,
      onRemove = _ref.onRemove,
      readonly = _ref.readonly;
  return /*#__PURE__*/_react2["default"].createElement(PillContainer, null, text, !readonly && /*#__PURE__*/_react2["default"].createElement(Close, {
    onClick: onRemove
  }, "\xD7"));
};

Pill.propTypes = {
  text: _propTypes2["default"].string.isRequired,
  onRemove: _propTypes2["default"].func,
  readonly: _propTypes2["default"].bool
};
exports["default"] = Pill;